<template>
  <div class="filters-wrapper" :class="{ active: isFiltersOpened }">
    <div
      class="filter"
      v-for="filter in shapeFilters"
      :key="filter.name"
      @click="() => addFilter(filter)"
    >
      <p class="filter-label" :class="{ 'active-filter-label': isFilterActive(filter) }">
        {{ filter.label }}
      </p>
    </div>
  </div>
</template>
<script lang="ts">
import { SHAPE_FILTERS, FILTERS_TYPE } from '@/types/glasses'
export default {
  props: {
    isFiltersOpened: {
      type: Boolean,
      required: true
    },
    addFilter: {
      type: Function,
      required: true
    },
    isFilterActive: {
      type: Function,
      required: true
    }
  },
  data() {
    return {
      shapeFilters: [
        { type: FILTERS_TYPE.SHAPE, label: 'Square', name: SHAPE_FILTERS.SQUARE },
        { type: FILTERS_TYPE.SHAPE, label: 'Rectangle', name: SHAPE_FILTERS.RECTANGLE },
        { type: FILTERS_TYPE.SHAPE, label: 'Round', name: SHAPE_FILTERS.ROUND },
        { type: FILTERS_TYPE.SHAPE, label: 'Cat-eye', name: SHAPE_FILTERS.CAT_EYE }
      ]
    }
  }
}
</script>
